PIP 0.7.1 Platform-Independent Primitives

Public Member Functions | List of all members
PIEthernet::InterfaceList Class Reference

Array of Interface with some features. More...

Inheritance diagram for PIEthernet::InterfaceList:
[legend]

## Public Member Functions
const Interface * | getByIndex (int index) const
| Get interface with system index "index" or 0 if there is no one.
const Interface * | getByName (const PIString &name) const
| Get interface with system name "name" or 0 if there is no one.
const Interface * | getByAddress (const PIString &address) const
| Get interface with IP address "address" or 0 if there is no one.
const Interface * | getLoopback () const
| Get loopback interface or 0 if there is no one.
Public Member Functions inherited from PIVector< PIEthernet::Interface >
| PIVector ()
size_t | size () const
| Elements count.
ssize_t | size_s () const
| Elements count.
bool | isEmpty () const
| Return `"true"` if vector is empty, i.e. size = 0.
PIEthernet::Interface & | back ()
| Last element of the vector.
const PIEthernet::Interface & | back () const
| Last element of the vector.
PIEthernet::Interface & | front ()
| First element of the vector.
const PIEthernet::Interface & | front () const
| First element of the vector.
bool | operator== (const PIVector< PIEthernet::Interface > &t) const
| Compare with vector "t".
bool | operator!= (const PIVector< PIEthernet::Interface > &t) const
| Compare with vector "t".
bool | contains (const PIEthernet::Interface &v) const
| Return `"true"` if vector has at least one element equal "t".
int | etries (const PIEthernet::Interface &v) const
| Return how many times element "t" appears in vector.
PIVector< PIEthernet::Interface > & | clear ()
| Clear vector. Equivalent to call `"resize(0)"`
PIVector< PIEthernet::Interface > & | fill (const PIEthernet::Interface &f=PIEthernet::Interface())
| Fill vector with elements "t" leave size is unchanged and return reference to vector. More...
PIVector< PIEthernet::Interface > & | resize (size_t new_size, const PIEthernet::Interface &f=PIEthernet::Interface())
| Resize vector to size "size". More...
PIVector< PIEthernet::Interface > & | remove (size_t index, size_t count=1)
| Remove one element by index "index" and return reference to vector. More...
PIVector< PIEthernet::Interface > & | sort (CompareFunc compare=compare_func)
| Sort vector using quick sort algorithm and standard compare function. More...
PIVector< PIEthernet::Interface > & | enlarge (llong piv_size)
| Increase vector size with "size" elements.
PIVector< PIEthernet::Interface > & | removeOne (const PIEthernet::Interface &v)
| Remove no more than one element equal "v" and return reference to vector. More...
PIVector< PIEthernet::Interface > & | removeAll (const PIEthernet::Interface &v)
| Remove all elements equal "v" and return reference to vector. More...
PIVector< PIEthernet::Interface > & | push_back (const PIEthernet::Interface &v)
| Add new element "t" at the end of vector and return reference to vector.
PIVector< PIEthernet::Interface > & | operator<< (const PIVector< PIEthernet::Interface > &other)
| Add vector "t" at the end of vector and return reference to vector.
PIVector< PIEthernet::Interface > & | push_front (const PIEthernet::Interface &v)
| Add new element "t" at the beginning of vector and return reference to vector.
PIVector< PIEthernet::Interface > & | pop_back ()
| Remove one element from the end of vector and return reference to vector.
PIVector< PIEthernet::Interface > & | pop_front ()
| Remove one element from the beginning of vector and return reference to vector.
PIEthernet::Interface | take_back ()
| Remove one element from the end of vector and return it.
PIEthernet::Interface | take_front ()
| Remove one element from the beginning of vector and return it.

## Additional Inherited Members
Static Public Member Functions inherited from PIVector< PIEthernet::Interface >
static int | compare_func (const PIEthernet::Interface *t0, const PIEthernet::Interface *t1)
| Standard compare function for type "Type". Return 0 if t0 = t1, -1 if t0 < t1 and 1 if t0 > t1.

## Detailed Description

Array of Interface with some features.